ElementState (Other Classes)
Keywords: org.apache.xml.serialize.ElementState class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.serialize
Class ElementState

    java.lang.Object
      org.apache.xml.serialize.ElementState

Deprecated. This class was deprecated in Xerces 2.9.0. It is recommended that new applications use the DOM Level 3 LSSerializer or JAXP's Transformation API for XML (TrAX) for serializing XML. See the Xerces documentation for more information.

    public class ElementState

extends java.lang.Object

Holds the state of the currently serialized element.

Version:
  $Revision: 476047 $ $Date: 2006-11-16 23:27:45 -0500 (Thu, 16 Nov 2006) $
Author:
  Assaf Arkin
See Also:
  `BaseMarkupSerializer`

Field Summary
`boolean` | `afterComment` Deprecated. True if the last serialized node was a comment node.
`boolean` | `afterElement` Deprecated. True if the last serialized node was an element node.
`boolean` | `doCData` Deprecated. True if textual content of current element should be serialized as CDATA section.
`boolean` | `empty` Deprecated. True if element is empty.
`boolean` | `inCData` Deprecated. True while inside CData and printing text as CData.
`java.lang.String` | `localName` Deprecated. The element's local tag name.
`java.lang.String` | `namespaceURI` Deprecated. The element's namespace URI.
`java.util.Hashtable` | `prefixes` Deprecated. Association between namespace URIs (keys) and prefixes (values).
`boolean` | `preserveSpace` Deprecated. True if element is space preserving.
`java.lang.String` | `rawName` Deprecated. The element's raw tag name (local or prefix:local).
`boolean` | `unescaped` Deprecated. True if textual content of current element should be serialized as raw characters (unescaped).

Constructor Summary
`ElementState()` Deprecated.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rawName

    public java.lang.String rawName

  Deprecated.
  The element's raw tag name (local or prefix:local).

### localName

    public java.lang.String localName

  Deprecated.
  The element's local tag name.

### namespaceURI

    public java.lang.String namespaceURI

  Deprecated.
  The element's namespace URI.

### preserveSpace

    public boolean preserveSpace

  Deprecated.
  True if element is space preserving.

### empty

    public boolean empty

  Deprecated.
  True if element is empty. Turns false immediately after serializing the first contents of the element.

### afterElement

    public boolean afterElement

  Deprecated.
  True if the last serialized node was an element node.

### afterComment

    public boolean afterComment

  Deprecated.
  True if the last serialized node was a comment node.

### doCData

    public boolean doCData

  Deprecated.
  True if textual content of current element should be serialized as CDATA section.

### unescaped

    public boolean unescaped

  Deprecated.
  True if textual content of current element should be serialized as raw characters (unescaped).

### inCData

    public boolean inCData

  Deprecated.
  True while inside CData and printing text as CData.

### prefixes

    public java.util.Hashtable prefixes

  Deprecated.
  Association between namespace URIs (keys) and prefixes (values).

Constructor Detail

### ElementState

    public ElementState()

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.